Bug 1361916 - python-cryptography - Missing python2-subpackage
Summary: python-cryptography - Missing python2-subpackage
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-cryptography   
(Show other bugs)
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PYTHON3
TreeView+ depends on / blocked
 
Reported: 2016-07-31 21:42 UTC by William Moreno
Modified: 2018-04-11 17:38 UTC (History)
9 users (show)

Fixed In Version: python-cryptography-1.5.3-3.fc23 python-cryptography-1.5.3-3.fc24 python-cryptography-1.5.3-3.fc25
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-19 07:25:56 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description William Moreno 2016-07-31 21:42:05 UTC
Current python packaging guidelines requires a python2-subpackage

Comment 1 Itamar Reis Peixoto 2016-07-31 21:46:44 UTC
like this one ?

http://koji.fedoraproject.org/koji/buildinfo?buildID=759844

python2-cryptography
python3-cryptography

Comment 2 Christian Heimes 2016-08-01 13:12:25 UTC
William, which package is missing?
Fedora 24 has python2-cryptography-1.3.1-1.fc24 and python3-cryptography-1.3.1-1.fc24. The Python 2 package provides the old name python-cryptography, too.

Comment 3 Fedora Update System 2016-11-10 20:05:25 UTC
python-cryptography-vectors-1.5.3-1.fc25 python-cryptography-1.5.3-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d90e27e50

Comment 4 Fedora Update System 2016-11-10 20:05:45 UTC
python-cryptography-vectors-1.5.3-1.fc23 python-cryptography-1.5.3-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e77c8c1f3b

Comment 5 Fedora Update System 2016-11-10 20:06:03 UTC
python-cryptography-vectors-1.5.3-1.fc24 python-cryptography-1.5.3-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3a2b640ce

Comment 6 Fedora Update System 2016-11-11 16:56:47 UTC
python-cryptography-1.5.3-3.fc25, python-cryptography-vectors-1.5.3-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2d90e27e50

Comment 7 Fedora Update System 2016-11-11 22:20:02 UTC
python-cryptography-1.5.3-3.fc23, python-cryptography-vectors-1.5.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e77c8c1f3b

Comment 8 Fedora Update System 2016-11-11 22:22:06 UTC
python-cryptography-1.5.3-3.fc24, python-cryptography-vectors-1.5.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d3a2b640ce

Comment 9 Fedora Update System 2016-11-19 07:25:56 UTC
python-cryptography-1.5.3-3.fc23, python-cryptography-vectors-1.5.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2016-11-19 17:25:18 UTC
python-cryptography-1.5.3-3.fc24, python-cryptography-vectors-1.5.3-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-19 21:16:06 UTC
python-cryptography-1.5.3-3.fc25, python-cryptography-vectors-1.5.3-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 John Pilkington 2016-11-21 12:18:24 UTC
yumex-dnf fc23 shows python2-cryptography as an update, but has errors building the transaction.  I have python-cryptography 1.2.1-1 installed.

Reported on the fedora-users list


Note You need to log in before you can comment on or make changes to this bug.